Interface KubernetesDeploymentsEndpointBuilderFactory.KubernetesDeploymentsBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- KubernetesDeploymentsEndpointBuilderFactory
public static interface KubernetesDeploymentsEndpointBuilderFactory.KubernetesDeploymentsBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default KubernetesDeploymentsEndpointBuilderFactory.KubernetesDeploymentsHeaderNameBuilderkubernetesDeployments()Kubernetes Deployments (camel-kubernetes) Perform operations on Kubernetes Deployments and get notified on Deployment changes.default KubernetesDeploymentsEndpointBuilderFactory.KubernetesDeploymentsEndpointBuilderkubernetesDeployments(String path)Kubernetes Deployments (camel-kubernetes) Perform operations on Kubernetes Deployments and get notified on Deployment changes.default KubernetesDeploymentsEndpointBuilderFactory.KubernetesDeploymentsEndpointBuilderkubernetesDeployments(String componentName, String path)Kubernetes Deployments (camel-kubernetes) Perform operations on Kubernetes Deployments and get notified on Deployment changes.
-
-
-
Method Detail
-
kubernetesDeployments
default KubernetesDeploymentsEndpointBuilderFactory.KubernetesDeploymentsHeaderNameBuilder kubernetesDeployments()
Kubernetes Deployments (camel-kubernetes) Perform operations on Kubernetes Deployments and get notified on Deployment changes. Category: container,cloud,paas Since: 2.20 Maven coordinates: org.apache.camel:camel-kubernetes- Returns:
- the dsl builder for the headers' name.
-
kubernetesDeployments
default KubernetesDeploymentsEndpointBuilderFactory.KubernetesDeploymentsEndpointBuilder kubernetesDeployments(String path)
Kubernetes Deployments (camel-kubernetes) Perform operations on Kubernetes Deployments and get notified on Deployment changes. Category: container,cloud,paas Since: 2.20 Maven coordinates: org.apache.camel:camel-kubernetes Syntax:kubernetes-deployments:masterUrlPath parameter: masterUrl (required) Kubernetes Master url- Parameters:
path- masterUrl- Returns:
- the dsl builder
-
kubernetesDeployments
default KubernetesDeploymentsEndpointBuilderFactory.KubernetesDeploymentsEndpointBuilder kubernetesDeployments(String componentName, String path)
Kubernetes Deployments (camel-kubernetes) Perform operations on Kubernetes Deployments and get notified on Deployment changes. Category: container,cloud,paas Since: 2.20 Maven coordinates: org.apache.camel:camel-kubernetes Syntax:kubernetes-deployments:masterUrlPath parameter: masterUrl (required) Kubernetes Master url- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- masterUrl- Returns:
- the dsl builder
-
-